Don't fail if file exists already

This commit is contained in:
dabruh 2022-12-13 16:58:15 +01:00
parent d1c9475692
commit a5db9cdc9a
1 changed files with 3 additions and 2 deletions

View File

@ -103,6 +103,7 @@ function configure_sddm() {
echo "Setting up '$theme_dir'."
[ -f "$theme_user_config" ] && sudo mv "$theme_user_config" "$theme_user_config.disabled"
return 0
}
function configure_ufw() {
@ -310,9 +311,9 @@ ID_LIKE="$(grep ID_LIKE= </etc/os-release | cut -d= -f2)"
echo "Setting up ${ID_LIKE^:?}-like OS."
if [[ "$ID_LIKE" == "arch" ]]; then
setup_arch
setup_arch || echo "Setup failed: $?"
elif [[ "$ID_LIKE" == "debian" ]]; then
setup_debian
setup_debian || echo "Setup failed: $?"
else
echo "ERROR: Unsupported system: ID_LIKE=$ID_LIKE"
exit 2